#include "stdafx.h"

#include "facade_events.h"

#include "mineSweep.h"

void e_cellOpen(int irow, int icol)
{
    TRACE("e_cellOpen() irow=%d icol=%d\n", irow, icol);

    cellOpen(irow, icol);
}

void e_cellMark(int irow, int icol)
{
    TRACE("e_cellMark() irow=%d icol=%d\n", irow, icol);

    cellMark(irow, icol);
}

/* level 0: board_width = 9, board_height = 9, number_of_mines = 10 */
/* level 1: board_width = 16, board_height = 16, number_of_mines = 40 */
/* level 2: board_width = 30, board_height = 16, number_of_mines = 99 */

void e_newGame(int width, int height, int mineCount)
{
    TRACE("e_newGame() width=%d height=%d mineCount=%d\n", width, height, mineCount);

    newGame(width, height, mineCount);
}

void e_exitProgram()
{
    TRACE("e_exitProgram()\n");

    exitProgram();
}

void e_initializeProgram()
{
    TRACE("e_inializeGame()\n");

    initializeProgram();
}
